# json-c: bits.h File Reference

# bits.h File Reference

## Defines

#define | json_min(a, b) ((a) < (b) ? (a) : (b))
#define | json_max(a, b) ((a) > (b) ? (a) : (b))
#define | hexdigit(x) (((x) <= '9') ? (x) - '0' : ((x) & 7) + 9)
#define | error_ptr(error) ((void*)error)
#define | error_description(error) (json_tokener_errors[error])
#define | is_error(ptr) (ptr == NULL)

## Define Documentation

#define error_description | ( | error |  | ) | (json_tokener_errors[error])

#define error_ptr | ( | error |  | ) | ((void*)error)

#define hexdigit | ( | x |  | ) | (((x) <= '9') ? (x) - '0' : ((x) & 7) + 9)

#define is_error | ( | ptr |  | ) | (ptr == NULL)

#define json_max | ( | a,
|  | b |  | ) | ((a) > (b) ? (a) : (b))

#define json_min | ( | a,
|  | b |  | ) | ((a) < (b) ? (a) : (b))